## diff-hl-el 1.8.8

=== Makefile ===
EMACS ?= emacs
SOURCES=
SOURCES+=diff-hl-amend.el
SOURCES+=diff-hl-dired.el
SOURCES+=diff-hl-flydiff.el
SOURCES+=diff-hl-margin.el

ARTIFACTS=$(patsubst %.el, %.elc, $(SOURCES))

RM ?= rm -f

all: test

test:
	$(EMACS) -batch -L . -l test/diff-hl-test.el -f diff-hl-run-tests

compile:
	$(EMACS) -batch -f batch-byte-compile $(SOURCES)

clean:
	$(RM) $(ARTIFACTS)

.PHONY: all test compile plain clean

## diff-hl-el 1.8.4

=== debian/changelog ===
diff-hl-el (1.8.4-1) unstable; urgency=medium

  * Initial release (Closes: #875978)

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 16 Sep 2017 23:35:56 +0500

=== debian/control ===
Source: diff-hl-el
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 10),
               dh-elpa
Standards-Version: 4.1.0
Homepage: https://github.com/dgutov/diff-hl
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/diff-hl-el.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/diff-hl-el.git

Package: elpa-diff-hl
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs,
          emacs24,
          emacs25
Description: highlight uncommitted changes using VC
 The package provides a `diff-hl-mode' Emacs mode, which highlights
 uncommitted changes on the side of the window (using the fringe, by
 default), and allows you to jump between the hunks and revert them
 selectively.

## diff-hl-el 1.8.5

=== debian/changelog ===
diff-hl-el (1.8.5-1) unstable; urgency=medium

  * New upstream version 1.8.5
  * Migrate to dh 11
  * d/control: Change Vcs-{Browser,Git} URL to salsa.debian.org
  * d/control: Update Maintainer (to Debian Emacsen team)
  * d/control: Declare Standards-Version 4.2.1 (no changes needed)
  * d/control: Remove emacs24 from Enhances
  * d/copyright: Update copyright according to upstream information

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 09 Dec 2018 11:28:03 +0500

=== debian/control ===
Source: diff-hl-el
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 11),
               dh-elpa
Standards-Version: 4.2.1
Homepage: https://github.com/dgutov/diff-hl
Vcs-Browser: https://salsa.debian.org/emacsen-team/diff-hl-el
Vcs-Git: https://salsa.debian.org/emacsen-team/diff-hl-el.git

Package: elpa-diff-hl
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs,
          emacs25
Description: highlight uncommitted changes using VC
 The package provides a `diff-hl-mode' Emacs mode, which highlights
 uncommitted changes on the side of the window (using the fringe, by
 default), and allows you to jump between the hunks and revert them
 selectively.

## diff-hl-el 1.8.6

=== debian/changelog ===
diff-hl-el (1.8.6-1) unstable; urgency=medium

  * New upstream version 1.8.6
  * Migrate to dh 12 without d/compat
  * Refresh patch to clean documentation
  * d/control: Declare Standards-Version 4.3.0 (no changes needed)
  * d/control: Drop emacs25 from Enhances
  * d/control: Add Rules-Requires-Root: no
  * d/copyright: Update copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 24 Feb 2019 18:38:17 +0500

=== debian/control ===
Source: diff-hl-el
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-elpa
Standards-Version: 4.3.0
Rules-Requires-Root: no
Homepage: https://github.com/dgutov/diff-hl
Vcs-Browser: https://salsa.debian.org/emacsen-team/diff-hl-el
Vcs-Git: https://salsa.debian.org/emacsen-team/diff-hl-el.git

Package: elpa-diff-hl
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: highlight uncommitted changes using VC
 The package provides a `diff-hl-mode' Emacs mode, which highlights
 uncommitted changes on the side of the window (using the fringe, by
 default), and allows you to jump between the hunks and revert them
 selectively.

## diff-hl-el 1.8.7

=== debian/changelog ===
diff-hl-el (1.8.7-1) unstable; urgency=medium

  * New upstream version 1.8.7
  * d/control: Declare Standards-Version 4.4.0 (no changes needed)

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 16 Jul 2019 12:23:16 +0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-elpa
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Homepage: https://github.com/dgutov/diff-hl
 Vcs-Browser: https://salsa.debian.org/emacsen-team/diff-hl-el

## diff-hl-el 1.8.8

=== debian/changelog ===
diff-hl-el (1.8.8-1) unstable; urgency=medium

  * New upstream version 1.8.8
  * d/copyright: Update copyright information
  * d/rules: Override upstream build and tests

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 30 Dec 2020 13:33:23 +0500

diff-hl-el (1.8.7-2) unstable; urgency=medium

  * Build against newer dh_elpa
  * Add upstream metadata
  * d/control: Migrate to debhelper-compat 13
  * d/control: Declare Standards-Version 4.5.1 (no changes needed)
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 10 Dec 2020 16:30:37 +0500

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/dgutov/diff-hl
 Vcs-Browser: https://salsa.debian.org/emacsen-team/diff-hl-el

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo skipping upstream build

override_dh_elpa_test:
	@echo skipping upstream tests

.PHONY: override_dh_auto_build override_dh_elpa_test

=== debian/watch ===
version=4
         opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%diff-hl-el-$1.tar.gz%" \
             https://github.com/dgutov/diff-hl/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## diff-hl-el 1.9.0

=== debian/changelog ===
diff-hl-el (1.9.0-1) unstable; urgency=medium

  [ Lev Lamberov ]

  * d/control: Declare Standards-Version 4.6.1 (no changes needed)
  * d/copyright: Simplify copyright information

  [ Aymeric Agon-Rambosson ]
  * New upstream version 1.9.0 (from elpa.gnu.org)
  * Remove now irrelevant patch
  * Remove now irrelevant doc file
  * d/copyright: Update copyright information
  * d/elpa: mention relevant files explicitly
  * d/watch: update to match new elpa upstream

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 28 Nov 2022 12:55:13 +0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/dgutov/diff-hl
 Vcs-Browser: https://salsa.debian.org/emacsen-team/diff-hl-el

=== debian/watch ===
version=4
             https://elpa.gnu.org/packages/diff-hl.html \
             diff-hl-(.+).tar.* debian uupdate

## diff-hl-el 1.9.1

=== debian/changelog ===
diff-hl-el (1.9.1-1) unstable; urgency=medium

  * New upstream version 1.9.1
  * Add ELPA signing key
  * d/control: Build-Depend on git
  * d/control: Declare Standards-Version 4.6.2 (no changes needed)
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 09 Jan 2023 10:45:16 +0500

## diff-hl-el 1.9.2

=== Makefile ===
EMACS ?= emacs
SOURCES=diff-hl.el
SOURCES+=diff-hl-amend.el
SOURCES+=diff-hl-dired.el
SOURCES+=diff-hl-flydiff.el
SOURCES+=diff-hl-inline-popup.el
SOURCES+=diff-hl-margin.el
SOURCES+=diff-hl-show-hunk-posframe.el
SOURCES+=diff-hl-show-hunk.el

ARTIFACTS=$(patsubst %.el, %.elc, $(SOURCES))

RM ?= rm -f

all: compile test

test:
	$(EMACS) -batch -L . -l test/diff-hl-test.el -f diff-hl-run-tests

compile:
	$(EMACS) -batch -L . -f batch-byte-compile $(SOURCES)

clean:
	$(RM) $(ARTIFACTS)

.PHONY: all test compile plain clean

=== debian/changelog ===
diff-hl-el (1.9.2-1) unstable; urgency=medium

  * New upstream version 1.9.2
  * d/copyright: Update copyright years
  * d/watch: Add proper support for upstream signing key

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 24 Feb 2023 10:09:22 +0500

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-elpa
-Standards-Version: 4.6.1
+               dh-elpa,
+               git
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/dgutov/diff-hl
 Vcs-Browser: https://salsa.debian.org/emacsen-team/diff-hl-el

## diff-hl-el 1.10.0

=== debian/changelog ===
diff-hl-el (1.10.0-1) unstable; urgency=medium

  * New upstream version 1.10.0
  * d/control: Declare Standards-Version 4.7.0 (no changes needed)
  * d/copyright: Update copyright information

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 13 Aug 2024 12:09:06 +0500

diff-hl-el (1.9.2-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 17:57:05 +0900

diff-hl-el (1.9.2-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.3.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 24 Jul 2024 21:47:34 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-elpa,
                git
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/dgutov/diff-hl
 Vcs-Browser: https://salsa.debian.org/emacsen-team/diff-hl-el

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo skipping upstream build

override_dh_auto_test:
	@echo skipping upstream tests

override_dh_elpa_test:
	@echo skipping upstream tests

.PHONY: override_dh_auto_build override_dh_auto_test override_dh_elpa_test

=== debian/watch ===
version=4
opts=pgpmode=auto \
https://elpa.gnu.org/packages/diff-hl.html diff-hl-(.+).tar(?:\.lz)?
